Name: pam_ssh
Version: 1.92
Release: 10%{?dist}
Summary: PAM module for use with SSH keys and ssh-agent
Source: http://downloads.sourceforge.net/pam-ssh/pam_ssh-%{version}.tar.bz2
URL: http://sourceforge.net/projects/pam-ssh/
Patch0: pam_ssh-1.91-getpwnam.patch
# put agent files in /var/run instead of the home directory to avoid
# complications when run from different hosts
Patch1: pam_ssh-1.91-var_run.patch
# corresponding man page
Patch2: pam_ssh-1.91-man_agent_files.diff
# include the syslog header
Patch4: pam_ssh-1.91-include_syslog.diff
# include a pam header
Patch5: pam_ssh-1.92-include_pam.patch
# always use standard prompt for the first time
Patch6: pam_ssh-1.92-prompt.patch

License: BSD
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: openssh-clients
BuildRequires: pam-devel, openssh-clients, openssl-devel
Group: System Environment/Base
Conflicts: selinux-policy-targeted < 3.0.8-55

%description
This PAM module provides single sign-on behavior for UNIX using SSH keys. 
Users are authenticated by decrypting their SSH private keys with the 
password provided. In the first PAM login session phase, an ssh-agent 
process is started and keys are added. The same agent is used for the
following PAM sessions. In any case the appropriate environment variables
are set in the session phase.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0 -b .man_agent_files
%patch4 -p1
%patch5 -p1 -b .include_pam
%patch6 -p1
chmod a-x pam_ssh.c
touch -r pam_ssh.8.man_agent_files pam_ssh.8

%build
%configure  --with-pam-dir=/%{_lib}/security/
make clean
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/run/pam_ssh

rm $RPM_BUILD_ROOT/%{_lib}/security/pam_ssh.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README ChangeLog TODO COPYING
/%{_lib}/security/pam_ssh.so
%{_mandir}/man8/pam_ssh.8*
%dir %{_localstatedir}/run/pam_ssh

%changelog
* Thu Mar 26 2009 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.92-10
- Always use standard "Password:" prompt for the first password's inquire
  in a PAM chain (#492153)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.92-9.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Manuel "lonely wolf" Wolfshant <wolfy@nobugconsulting.ro> 1.92-8.1
- rebuild for newer openssl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.92-8
- Autorebuild for GCC 4.3

* Thu Dec 27 2007 Patrice Dumas <pertusus@free.fr> 1.92-7
- keep timestamps

* Mon Dec 10 2007 Patrice Dumas <pertusus@free.fr> 1.92-6
- remove selinux policy module support, since it is in main selinux
- Conflicts: selinux-policy-targeted < 3.0.8-55 since it seems to be 
  the first package with included selinux policy

* Mon Dec 10 2007 Patrice Dumas <pertusus@free.fr> 1.92-5
- correct a typo in selinux %%postun script

* Thu Nov 15 2007 Martin Ebourne <martin@zepler.org> - 1.92-3
- Added SELinux policy module

* Thu Aug 23 2007 Patrice Dumas <pertusus@free.fr> 1.92-2
- update to 1.92
- Fix #253959, CVE-2007-0844

* Sun Sep 10 2006 Patrice Dumas <pertusus@free.fr> 1.91-15
- rebuild for FC6

* Fri Feb 17 2006 Patrice Dumas <pertusus@free.fr> - 1.91-14
- rebuild for fc5

* Thu Dec 22 2005 Patrice Dumas <pertusus@free.fr> - 1.91-13
- add patch to include syslog.h

* Sun Nov 13 2005 <pertusus@free.fr> 1.91-11
- add patch to include openssl/md5.h 

* Sun Nov 13 2005 <pertusus@free.fr> 1.91-10
- rebuild against new openssl

* Fri Sep  2 2005 <pertusus@free.fr> 1.91-9
- bump release

* Fri Aug 26 2005 <pertusus@free.fr> 1.91-8
- add --with-pam-dir switch for ./configure

* Wed Aug 17 2005 <pertusus@free.fr> 1.91-7
- remove openssh from BuildRequires (Dmitry)
- remove pam from Requires, it is picked up automatically

* Tue Aug 16 2005 <pertusus@free.fr> 1.91-6
- new summary from me and Dmirty
- use Dmitry modified patch1 to let user see the informations in 
  /var/run/pam_ssh/ (modified at my request)
- document the agent environment information files location in
  the man page

* Mon Aug 15 2005 Patrice Dumas <pertusus@free.fr> 1.91-5
- remove gcc-g++ from BuildRequires. Merge description with 
  Dmitry description

* Mon Aug 15 2005 Dmitry Butskoy <Dmitry@Butskoy.name> 1.91-3
- Allow standalone session module (patch0)
- Move runtime state files from ~/.ssh/agent-<hostname>* to
  /var/run/pam_ssh/<user>* . This is an easy way to provide properly
  cleanups after system crash. (patch1)

* Mon Aug 15 2005 Patrice Dumas <pertusus@free.fr> 1.91-2
- correct URL, use upstream source, add COPYING to %%doc

* Sat Apr 01 2004 Patrice Dumas <pertusus@free.fr> 1.91-1
- update source

* Mon Mar 15 2004 Patrice Dumas <pertusus@free.fr> 1.9-0.fdr.1
- Use fedora-newrpmspec to update the spec file

* Fri Aug 16 2002 Dumas Patrice <pertusus@free.fr>
- Initial build.
